
@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

@keyframes slideIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

:root {
    --project-name: #e6e0ff;
    --project-description: #bab3d4;

    --header-color: #233534;
    --header-text: #e6e0ff;
    --header-text-underline: #438599;

    --project-grid-text-size: 30px;
    --project-title-size: 40px;
    --project-textblock: 25px;
}

body {
    background-color: #42414b;
    margin: 0;
    padding: 0;
}
#bg {
    z-index: 0;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
#bg img {
    width: 100%;
    height: auto;
    position: fixed;
    top: 0;
}
#grid {
    animation: 0.5s ease-in-out 0s 1 slideIn;

    opacity: 1;
    position: absolute;
    width: 75%;
    height: auto;

    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin-left: auto;
    margin-bottom: auto;
    margin-right: auto;

    display: grid;
    grid-template-columns:auto auto;
    grid-template-rows: repeat(10000, 50%);
    grid-gap: 10px;
    
    padding: 10px;
}
#grid > div {
    background-color: #1e282c;
    border-radius: 40px;
    /*padding: 10px;*/
    font-size: var(--project-grid-text-size);
    text-align: center;
    overflow: hidden;

    display: grid;
}
#project_img {
    width: 100%;
    height: auto;
    position: relative;
    z-index: 4;
    margin: 0 auto;

    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal; 
    color: #222127;

    grid-area: 1/1;

    mask-image: linear-gradient(90deg,rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 25%, rgba(0, 0, 0, 1) 75%, rgba(0, 0, 0, 0) 100%);
    opacity: 0.7;
    transition: 0.7s;

    border-radius: 40px;
}
#grid > div:hover #project_img {
    opacity: 0.2;
    mask-image: linear-gradient(90deg,rgba(40, 40, 40, 0) 0%, rgb(40, 40, 40, 1) 30%, rgba(40, 40, 40, 1) 70%, rgba(40, 40, 40, 0) 100%);
}
#project_name {
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    text-align: left;
    padding-left: 30px;
    padding-top: 10px;
    color: var(--project-name);
    position: relative;
    z-index: 5;
    transition: 0.7s;
    opacity: 0.2;

    grid-area: 1/1;
}
#grid > div:hover #project_name {
    padding-top: 200px;
    opacity: 1;
}
#project_desc {
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    background-image: linear-gradient(var(--project-description) 100px, #9792ad00 400px);
    color:transparent;
    background-clip: text;
    padding-top: 75%;
    padding-left: 30px;
    padding-right: 30px;
    padding-bottom: 10px;
    position: relative;
    z-index: 5;
    transition: 0.7s;

    grid-area: 1/1;
}
#grid > div:hover #project_desc {
    padding-top: 250px;
    opacity: 1;
}
#project_button {
    opacity: 0;
    width: 100%;
    height: 100%;
    z-index: 6;

    grid-area: 1/1;
}

#header {
    background-color: var(--header-color);
    width: 100%;
    height: 9%;
    position: fixed;
    z-index: 100;
}

.container {
    padding: 5px 100px;
}

.container nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.logo {
    width: 120px;
    height: auto;
}
.container nav ul li {
    display: inline-block;
    list-style: none;
    margin: 10px 10px;
}
.container nav ul li a {
    color: var(--header-text);
    text-decoration: none;
    font-size: 24px;
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    position: relative;
}
.container nav ul li a::after {
    content: '';
    width: 0;
    height: 3px;
    background: var(--header-text-underline);
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}
.container nav ul li a:hover::after {
    width: 100%;
}

#app {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    top: 10%;
    height: 90%;
}

#project_page {
    animation: 0.5s ease-in-out 0s 1 slideIn;

    background-color: rgba(33, 38, 39, 0.6);

    position: absolute;
    width: 75%;
    block-size: fit-content;

    display: grid;
    grid-auto-flow: row;
    grid-row-gap: 10px;

    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin-left: auto;
    margin-right: auto;

    padding: 20px;

    border-radius: 25px;
}

#project_title {
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: var(--project-title-size);
    color: var(--project-name);
    z-index: 5;
} 

#project_textblock {
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: var(--project-textblock);
    color: var(--project-description);
    z-index: 5;

    margin-left: 20px;
    margin-right: 20px;

    width: auto;
    height: auto;
}

.carousel {
    width: auto;
    height: 500px;
    position: relative;
    margin-left: 7.5%;
    margin-right: 7.5%;
}

.carousel > ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.slide {
    position: absolute;
    inset: 0;
    opacity: 0;
    transition: 200ms opacity ease-in-out;
    transition-delay: 200ms;
}

.slide > img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit:contain;
}

.slide[data-active] {
    opacity: 1;
    transition-delay: 0ms;
}

.carousel-button {
    position: absolute;
    z-index: 2;
    background: none;
    border: none;
    font-size: 4rem;
    top: 50%;
    transform: translateY(-50%);
    color: rgba(255, 255, 255, 0.5);
    cursor: pointer;
    border-radius: .25rem;
    padding: 0.5rem;
    text-align: center;
    height: 80px;
    width: 80px;
    line-height: 50%;
}

.carousel-button > img {
    width: 100%;
    height: 100%;
    opacity: 0.5;
    transition: 0.2s;
}

.carousel-button > img:hover {
    opacity: 1;
}

.carousel-button.prev {
    left: 1rem;
}

.carousel-button.next {
    right: 1rem;
}

#about_page {
    animation: 0.5s ease-in-out 0s 1 slideIn;

    background-color: rgba(38, 52, 53, 0.6);

    position: absolute;
    width: 75%;
    height: fit-content;

    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin-left: auto;
    margin-right: auto;

    padding: 10px;

    border-radius: 25px;
}

#bio {
    width: 100%;
    height: 75%;
    min-height: 240px;
}
#bio img {
    width: 200px;
    height: 200px;
    float: left;
    padding: 20px;
}
#bio p {
    padding: 20px;

    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 25px;
    color: var(--project-description);
}

#about_seperator {
    margin-left: auto;
    margin-right: auto;
    width: 90%;
    height: 10px;

    border-radius: 10px;

    background-color: rgba(33, 38, 39, 0.6);
}

#links {
    width: 100%;
    height: auto;

    padding: 10px 30px;
}

#links > nav {
    width: 100%;
    height: 100%;
    list-style: none;
    display: block;
}

#links nav li {
    padding: 0;
    display:flex;
    padding-block: 5px;
}

#links nav li img {
    width: 24px;
    height: 24px;
}

#links nav li a {
    padding-left: 5px;
    color: #ffffff;
    text-decoration: none;
    font-size: 24px;
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    position: relative;
    text-align: center;
}

#expanded_image {
    width: 100%;
    height: 100%;
    z-index: 150;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: 0.5s;
    pointer-events: none;

    padding: 40px;
}
#expanded_image img {
    width: auto;
    height: 86%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}
#expanded_image[data-active] {
    opacity: 1;
    pointer-events:inherit;
}
#expanded_image button {
    width: 80px;
    height: 80px;
    background-color: rgba(0, 0, 0, 0.2);
    border-style: none;
}
#expanded_image button img {
    width: 100%;
    height: 100%;
}